// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserRoleDeleteDefault An unexpected error response

swagger:response userRoleDeleteDefault
*/
type UserRoleDeleteDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserRoleDeleteDefault creates UserRoleDeleteDefault with default headers values
func NewUserRoleDeleteDefault(code int) *UserRoleDeleteDefault {
	if code <= 0 {
		code = 500
	}

	return &UserRoleDeleteDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user role delete default response
func (o *UserRoleDeleteDefault) WithStatusCode(code int) *UserRoleDeleteDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user role delete default response
func (o *UserRoleDeleteDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user role delete default response
func (o *UserRoleDeleteDefault) WithPayload(payload *models.Error) *UserRoleDeleteDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role delete default response
func (o *UserRoleDeleteDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleDeleteDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
